Package com.google.android.exoplayer2.audio

## Interface TeeAudioProcessor.AudioBufferSink

- All Known Implementing Classes:
    `TeeAudioProcessor.WavFileAudioBufferSink`
  Enclosing class:
    TeeAudioProcessor

      public static interface TeeAudioProcessor.AudioBufferSink

  A sink for audio buffers handled by the audio processor.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `flush​(int sampleRateHz, int channelCount, @com.google.android.exoplayer2.C.PcmEncoding int encoding)` | Called when the audio processor is flushed with a format of subsequent input.
    `void` | `handleBuffer​(ByteBuffer buffer)` | Called when data is written to the audio processor.

- - ### Method Detail

    - #### flush

          void flush​(int sampleRateHz,
                     int channelCount,
                     @com.google.android.exoplayer2.C.PcmEncoding int encoding)

      Called when the audio processor is flushed with a format of subsequent input.

    - #### handleBuffer

          void handleBuffer​(ByteBuffer buffer)

      Called when data is written to the audio processor.
      Parameters:
        `buffer` - A read-only buffer containing input which the audio processor will handle.